Two questions regarding 3.9

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Two questions regarding 3.9

Luke Bryan
Greetings all,

I just updated a testing site using the Beta Tester plugin, set to "point
release nightlies". I thought this would update to 3.8.1, but it upgraded
the site to 3.9 alpha.

When on 3.9, I notice that it gives a JS error: "Deprecated TinyMCE API
call: <target>.onAddEditor.add(..)"
This is breaking the editor for me, and it looks like tinymce.majorVersion
is 4 on this preview release, not 3.

Could someone confirm whether TinyMCE is going to be upgraded a major
version next release, and whether there will be an option or filter for
older addons to use TinyMCE 3?

Also, is it a bug that I'm not getting the 3.8.1 on point release mode with
Beta plugin?

Best regards,
Luke
_______________________________________________
wp-hackers mailing list
[hidden email]
http://lists.automattic.com/mailman/listinfo/wp-hackers
Reply | Threaded
Open this post in threaded view
|

Re: Two questions regarding 3.9

Andrew Nacin-2
https://core.trac.wordpress.org/ticket/24067


On Wed, Jan 15, 2014 at 7:32 PM, Luke Bryan <[hidden email]>wrote:

> Greetings all,
>
> I just updated a testing site using the Beta Tester plugin, set to "point
> release nightlies". I thought this would update to 3.8.1, but it upgraded
> the site to 3.9 alpha.
>
> When on 3.9, I notice that it gives a JS error: "Deprecated TinyMCE API
> call: <target>.onAddEditor.add(..)"
> This is breaking the editor for me, and it looks like tinymce.majorVersion
> is 4 on this preview release, not 3.
>
> Could someone confirm whether TinyMCE is going to be upgraded a major
> version next release, and whether there will be an option or filter for
> older addons to use TinyMCE 3?
>
> Also, is it a bug that I'm not getting the 3.8.1 on point release mode with
> Beta plugin?
>
> Best regards,
> Luke
> _______________________________________________
> wp-hackers mailing list
> [hidden email]
> http://lists.automattic.com/mailman/listinfo/wp-hackers
>
_______________________________________________
wp-hackers mailing list
[hidden email]
http://lists.automattic.com/mailman/listinfo/wp-hackers